org.eclipse.rdf4j.sail.shacl.AST

## Enum NodeKindPropertyShape.NodeKind

- java.lang.Object
- - java.lang.Enum<NodeKindPropertyShape.NodeKind>
  - - org.eclipse.rdf4j.sail.shacl.AST.NodeKindPropertyShape.NodeKind

- All Implemented Interfaces:
    Serializable, Comparable<NodeKindPropertyShape.NodeKind>
  Enclosing class:
    NodeKindPropertyShape

      public static enum NodeKindPropertyShape.NodeKind
      extends Enum<NodeKindPropertyShape.NodeKind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BlankNode`
    `BlankNodeOrIRI`
    `BlankNodeOrLiteral`
    `IRI`
    `IRIOrLiteral`
    `Literal`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeKindPropertyShape.NodeKind` | `from(Resource resource)`
    `static NodeKindPropertyShape.NodeKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NodeKindPropertyShape.NodeKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BlankNode

          public static final NodeKindPropertyShape.NodeKind BlankNode

    - #### IRI

          public static final NodeKindPropertyShape.NodeKind IRI

    - #### Literal

          public static final NodeKindPropertyShape.NodeKind Literal

    - #### BlankNodeOrIRI

          public static final NodeKindPropertyShape.NodeKind BlankNodeOrIRI

    - #### BlankNodeOrLiteral

          public static final NodeKindPropertyShape.NodeKind BlankNodeOrLiteral

    - #### IRIOrLiteral

          public static final NodeKindPropertyShape.NodeKind IRIOrLiteral

  - ### Method Detail

    - #### values

          public static NodeKindPropertyShape.NodeKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeKindPropertyShape.NodeKind c : NodeKindPropertyShape.NodeKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeKindPropertyShape.NodeKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### from

          public static NodeKindPropertyShape.NodeKind from(Resource resource)

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.